END_THAT_REQUEST_(9)

NAME
end_that_request_chunk - end I/O on a request

SYNOPSIS

int end_that_request_chunk (struct request * req, int uptodate, int nr_bytes);

ARGUMENTS

req the request being processed

uptodate
    1 for success, 0 for I/O error, < 0 for specific error

nr_bytes
    number of bytes to complete

DESCRIPTION

Ends I/O on a number of bytes attached to req, and sets it up for the next range of segments (if any). Like end_that_request_first, but deals with bytes instead of sectors.

RETURN

0 - we are done with this request, call end_that_request_last 1 - still buffers pending for this request